Summary:	Generic Programming for Computer Vision
Summary(pl.UTF-8):	Ogólne programowanie obrazu komputerowego
Name:		vigra
Version:	1.9.0
Release:	5
License:	MIT
Group:		Libraries
Source0:	http://hci.iwr.uni-heidelberg.de/vigra/%{name}-%{version}-src.tar.gz
# Source0-md5:	b6155afe1ea967917d2be16d98a85404
URL:		http://hci.iwr.uni-heidelberg.de/vigra/
BuildRequires:	boost-python-devel >= 1.40.0
BuildRequires:	cmake >= 2.6.0
BuildRequires:	doxygen
BuildRequires:	fftw3-single-devel
BuildRequires:	hdf5-devel >= 1.8
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.4.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-numpy-devel
BuildRequires:	rpmbuild(macros) >= 1.586
BuildRequires:	sphinx-pdg
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VIGRA stands for "Vision with Generic Algorithms". It's a novel
computer vision library that puts its main emphasize on customizable
algorithms and data structures. By using template techniques similar
to those in the C++ Standard Template Library, you can easily adapt
any VIGRA component to the needs of your application, without thereby
giving up execution speed.

%description -l pl.UTF-8
VIGRA to skrót od "Vision with Generic Algorithms" (widok z ogólnymi
algorytmami). Jest to nowa biblioteka do obrazu komputerowego kładąca
główny nacisk na algorytmy i struktury danych z możliwością
dostosowania do własnych potrzeb. Poprzez użycie technik szablonów
podobnych do tych w standardowej bibliotece szablonów C++ (STL) można
łatwo zaadaptować dowolny komponent VIGRA do potrzeb własnej aplikacji
bez poświęcania szybkości wykonywania.

%package devel
Summary:	Header files for vigra library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki vigra
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fftw3-single-devel
Requires:	hdf5-devel >= 1.8
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libstdc++-devel
Requires:	libtiff-devel
Obsoletes:	vigra-static

%description devel
Header files needed to compile programs with vigra.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do budowania programów używających
biblioteki vigra.

%package -n python-vigra
Summary:	VIGRA Python bindings
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki VIGRA
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-numpy
Suggests:	python-PyQt4

%description -n python-vigra
VIGRA Python bindings.

%description -n python-vigra -l pl.UTF-8
Wiązania Pythona do biblioteki VIGRA.

%package doc
Summary:	Development documentation for vigra library
Summary(pl.UTF-8):	Dokumentacja programisty do biblioteki vigra
Group:		Documentation

%description doc
Development documentation for vigra library.

%description doc -l pl.UTF-8
Dokumentacja programisty do biblioteki vigra.

%prep
%setup -q

%build
%cmake . \
	-DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}/vigra
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}/vigra
%py_postclean

%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc/vigra*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.txt
%attr(755,root,root) %{_libdir}/libvigraimpex.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libvigraimpex.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vigra-config
%attr(755,root,root) %{_libdir}/libvigraimpex.so
%{_includedir}/vigra
%dir %{_libdir}/vigra
%{_libdir}/vigra/VigraConfig*.cmake
%{_libdir}/vigra/vigra-targets*.cmake

%files -n python-vigra
%defattr(644,root,root,755)
%dir %{py_sitedir}/vigra
%attr(755,root,root) %{py_sitedir}/vigra/*.so
%{py_sitedir}/vigra/*.py[co]
%dir %{py_sitedir}/vigra/pyqt
%{py_sitedir}/vigra/pyqt/*.py[co]

%files doc
%defattr(644,root,root,755)
%doc doc/{vigra,vigranumpy}
%changelog
* Fri Nov 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vigra.git;a=log;h=master

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> 659b0fa
- rel 5

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b7c69ea
- release 4 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> b1a69c9
- release 3 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 27560ab
- release 2 (by relup.sh)

* Sat Nov 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 1134450
- updated to 1.9.0
- removed obsolete lib_suffix,gcc47 patches

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 708855d
- release 9 (by relup.sh)

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> 0e47031
- Fix building with gcc 4.7 (patch from fedora)
Cosmetics - no version in patch names
Release 8

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8539fbf
- release 7

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> bfd087a
- release 6

* Wed Jan 18 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 09f8ffa
- rel 5; lib64 build fix

* Sat Jan 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> adc8cc4
- release 4

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d47bc6
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bc9fc94
- release 2

* Thu Sep 22 2011 Jakub Bogusz <qboosh@pld-linux.org> c67566a
- updated to 1.8.0

* Sun Jan 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 5cfa7ed
- updated to 1.7.1
- removed obsolete ac,libpng patches
- uses cmake now, -static is gone
- package python binding (AKA vigranumpy)

* Sat Feb 27 2010 hawk <hawk@pld-linux.org> a6e7aa9
- release 5

* Thu Jan 28 2010 sparky <sparky@pld-linux.org> 1d1bcd9
- BR: pkgconfig

* Thu Jan 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> f79b6d1
- added -libpng.patch
- release 4

* Thu Jan 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 5acedf3
- fixes build with libpng 1.4

* Thu Jan 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 7ec2215
- release 3

